unit uPrincipal;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Graphics, FMX.Dialogs, FMX.StdCtrls;

type
  TForm5 = class(TForm)
    Label1: TLabel;
    Switch1: TSwitch;
    procedure Switch1Switch(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form5: TForm5;

implementation

{$R *.fmx}

uses
  {$IFDEF ANDROID}
  Android.JNI.PowerManager;
  {$ENDIF}

  {$IFDEF IOS}
  iOSAPI.UIKit;

  function SharedApplication: UIApplication;
  begin
    Result := TUIApplication.Wrap( TUIApplication.OCClass.sharedApplication );
  end;
  {$ENDIF}

procedure TForm5.Switch1Switch(Sender: TObject);
begin
  {$IFDEF ANDROID}
  if Switch1.IsChecked then
    Android.JNI.PowerManager.AcquireWakeLock
  else
    Android.JNI.PowerManager.ReleaseWakeLock;
  {$ENDIF}

  {$IFDEF IOS}
  SharedApplication.setIdleTimerDisabled(Switch1.IsChecked);
  {$ENDIF}
end;

end.
